Amplify APIReference
Retrieve performance statistics for all marketer sections by dates hourly
GET
/reports/marketers/{id}/sections/dateHourlyAuthorization
obToken OB-TOKEN-V1<token>
Token obtained from the Obtain a token endpoint or the Amplify API token page. Valid for 30 days.
In: header
Path Parameters
id*string
Marketer id
Query Parameters
hours?number
Number of hours, default is 24. Max allowed - 24.
campaignId?string
Limit to data of the campaign with the given IDs.
limit?number
Number of results to return in this request for each date. default is 10.
offset?number
Result number to start this response at. zero based. Used with limit for pagination. default is 0.
includeArchivedCampaigns?string
Include data of archived campaigns, default false.
includeConversionDetails?string
Include metrics of conversion pixels, default false.
conversionsByClickDate?string
Report conversion metrics by click or conversion date, default false (report by conversion date).
enabledCampaignsOnly?string
Include data of active campaigns only (data of inactive campaigns will not be shown). Relevant only when requesting all campaigns
Response Body
application/json
curl -X GET "https://example.com/reports/marketers/abf4b02153ee75f3cadc4fc128ab0419ab/sections/dateHourly?hours=24&campaignId=e75f3cadc4fc128ab0419ababf4b02153e%2C+0069fc0fe9598f99b4c528f0881cd74b4b&limit=10&offset=3&includeArchivedCampaigns=true&includeConversionDetails=false&conversionsByClickDate=true&enabledCampaignsOnly=true"{ "results": [ { "date": "2023-07-09 01:00:00", "sections": [ { "metadata": { "id": "0003378cafb6fef85579081ee3152f3929", "name": "MSN - EN-ZA - Edge Chromium New Tab - PREMIUM Header Bidding", "publisherId": "001786da67bd57e1fa88ddbd0c2b682ce6", "publisherName": "MSN South Africa (PREMIUM Header Bidding)", "url": "http://oen.oen.oen/?integration_id=35383&publisher=msn.com%2Fen-za%2Fedgechrntp&source=msn", "publisherUrl": "http://msn.com/en-za" }, "metrics": { "impressions": 0, "clicks": 1, "totalConversions": 0, "conversions": 0, "viewConversions": 0, "spend": 0, "ecpc": 0, "ctr": 0, "cpm": 0, "conversionRate": 0, "viewConversionRate": 0, "cpa": 0, "totalCpa": 0, "totalSumValue": 0, "sumValue": 0, "viewSumValue": 0, "totalAverageValue": 0, "averageValue": 0, "viewAverageValue": 0, "totalRoas": 0, "roas": 0, "videoReachedFirstQ": 0, "videoReachedSecondQ": 0, "videoReachedThirdQ": 0, "videoReachedCompletion": 0, "videoViewDuration": 0, "videoAvgViewDuration": 0, "videoPlays": 0, "clicksOnVideo": 0, "videoActiveCompletions": 0, "videoActiveCompletionsPercentage": 0 } } ], "totalResults": 1 } ], "total": 1}